Create Custom Object

Creates a new custom object in an organization. The key field is used to identify the custom object, it's written in snake case and it must be unique. The label field can be used to give a human readable name to the custom object. The custom_properties field is a list of custom properties that will be created with the custom object. The custom_properties field is optional and properties can be added separately (one by one) via the custom property API.

Body Params

createCustomObject Request

associations
array of objects
associations
string

The color of the Custom Object

string

The label description of the Custom Object

boolean

Whether the Custom Object is editable

string

The emoji of the Custom Object

boolean

Whether the Custom Object is hidden

string
required

The key of the Custom Object in snake case

string
required

The label of the Custom Object

properties
array of objects
length ≥ 0

The Custom Properties of the Custom Object

properties
whippy_associations
array of objects

This is an array of objects that describe the associations between the CustomObject and Whippy resources like contacts, campaign_contacts, etc.

whippy_associations
Responses

Callback
Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json